Date Tags blabla

Pour ceux qui ne sauraient pas, WordPress a quand même gagné un des pwnie awards grâce à toutes les failles de sécurité découvertes, et je ne compte pas les plugins. Je suis très fier d’utiliser une bouse pareille, on pourrait aussi troller sur PHP, mais ce n’était pas le but de ce billet. Alors, pour le vrai sujet de ce billet (le troll ci-dessus n’était qu’une tentative d’introduction pour les auteurs non inspirés comme moi) : WordPress 2.7 ne valide pas XHTML 1.0 Strict avec le widget des commentaires récents, et le flux RSS des commentaires est cassé. Attention, accrochez-vous, la voici la voilà, la raison, c’est que les & ne sont pas correctement échappés en &. Je pourrais lancer un vieux troll pourri en disant que cela prouve que les développeurs n’ont pas daigné passer un basique coup de validateur W3C sur le site pour vérifier, mais vous me connaissez, je ne le lancerai pas (ou alors très loin). Pour corriger ça, appliquez ces deux patches :

Le trollmot de la fin.